- NAME
- ARGUMENTS
  - query - query string
  - with_linked - boolean
  - apply_query_to_linked - boolean

# NAME

RT::Shredder::Plugin::Assets - search plugin for wiping Assets.

# ARGUMENTS

## query - query string

Search Assets with query string. Examples: Catalog = 'my catalog' AND ( Status = 'deleted' OR Status = 'recyled' ) LastUpdated < '2013-12-31 23:59:59'

Hint: You can construct query with the query builder in RT's web interface and then open advanced page and copy query string.

## with_linked - boolean

Deletes all Assets that are linked to Assets that match query.

## apply_query_to_linked - boolean

Delete linked Assets only if those too match query.

See also with_linked.

← Back to index